List transactions
GET /v3/transactions
Optional query parameters:
Get one transaction
GET /v3/transaction/{id}
Use a transaction reference or external reference.
null.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List and inspect Merchant API transactions.
GET /v3/transactions
Optional query parameters:
| Parameter | Description |
|---|---|
limit | Number of records to return. Maximum is 100. |
offset | Number of records to skip. |
curl "https://serviceapi.sarafa.ss/v3/transactions?limit=50&offset=0" \
-H "x-api-key: YOUR_API_KEY" \
-H "environment: sandbox"
GET /v3/transaction/{id}
Use a transaction reference or external reference.
curl https://serviceapi.sarafa.ss/v3/transaction/order-1001 \
-H "x-api-key: YOUR_API_KEY" \
-H "environment: sandbox"
null.